<?php
/**
 * @package Wapple_Architect
 * @subpackage WAPL Theme
 */
include_once('functions.php');
$waplString = get_wapl_header();
$wapl = new WordPressWapl;

if(have_posts())
{
	while(have_posts())
	{
		the_post();
		$waplString .= $wapl->chunk('words', array('class' => 'entry_row', 'display_as' => 'h2', 'quick_text' => get_the_title()));
		
		$pagescale = ARCHITECT_PAGE_IMAGESCALE;
		if(get_option('architect_page_imagescale'))
		{
			$pagescale = get_option('architect_page_imagescale');
		}
		$pagequality = ARCHITECT_PAGE_IMAGEQUALITY;
		if(get_option('architect_page_imagequality'))
		{
			$pagequality = get_option('architect_page_imagequality');
		}
		
		$content = get_the_content();
		$content = apply_filters('the_content', $content);
		
		$text = $wapl->format_text($content, $pagescale, $pagequality, 'entry_row');
		
		$waplString .= $wapl->chunk('words', array('class' => 'entry_row', 'quick_text' => $text));
	}
}

$waplString .= get_wapl_footer();

process_wapl($waplString);
?>